#ifndef MATRIX_HEADER
#define MATRIX_HEADER

typedef double BasisTyp;
class Matrix {
public:
   Matrix(int z, int sp);
   Matrix(const Matrix& m2);
   ~Matrix();

   void Resize(int z, int sp);
   void Setze(int z, int sp, BasisTyp wert);
   BasisTyp Lese(int z, int sp) const;
   int GetSpAnz() const { return spanz; }
   int GetZeAnz() const { return zanz; }

   Matrix& operator=(const Matrix& m);

private:
   int GetPos(int z, int sp) const;
   BasisTyp* arr;
   int zanz;
   int spanz;
   };

void Add(const Matrix& m1, const Matrix& m2, Matrix& m3);

// erlaubte Operationen mit dem Datentyp Matrix


#endif
